package service

import (
	"fmt"

	"nms_nbi/src/modules/network_data/model"
	"nms_nbi/src/modules/network_data/repository"
)

// 实例化数据层 UEEventImpl 结构体
var NewUEEventImpl = &UEEventImpl{
	ueEventRepository: repository.NewUEEventImpl,
}

// UEEventImpl UE会话事件 服务层处理
type UEEventImpl struct {
	// UE会话事件数据信息
	ueEventRepository repository.IUEEvent
}

// SelectPage 根据条件分页查询
func (r *UEEventImpl) SelectPage(querys model.UEEventQuery) map[string]any {
	return r.ueEventRepository.SelectPage(querys)
}

// DeleteByIds 批量删除信息
func (r *UEEventImpl) DeleteByIds(ueIds []string) (int64, error) {
	// 检查是否存在
	ids := r.ueEventRepository.SelectByIds(ueIds)
	if len(ids) <= 0 {
		return 0, fmt.Errorf("no data")
	}

	if len(ids) == len(ueIds) {
		rows := r.ueEventRepository.DeleteByIds(ueIds)
		return rows, nil
	}
	// 删除信息失败！
	return 0, fmt.Errorf("delete fail")
}
